%define name	dyalog-sqlite
%define version 1.0.0
%define release %mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DyAlog SQLITE module
License:	GPL
Group:		Sciences/Computer science
Source:		ftp://ftp.inria.fr/INRIA/Projects/Atoll/Eric.Clergerie/TAG/%{name}-%{version}.tar.bz2
Url:		http://atoll.inria.fr/packages/packages.html#dyalog-xml
BuildRequires:	dyalog
BuildRequires:	sqlite3-devel
ExclusiveArch:  %{ix86}

%description
A DyALog module providing predicates over SQLITE3 API. This module, while very
preliminary, may be used to create and access sqlite3 databases, for instance
lexicons or lexical preference databases.

%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	sqlite3-devel
Requires:	%{name} = %{version}

%description devel
This package contains development files for %{name}.

%prep
%setup -q

%build
export CPPFLAGS=-I%{_libdir}/DyALog
export LDFLAGS=-L%{_libdir}/DyALog
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install -d -m 755 %{buildroot}%{_libdir}/pkgconfig
mv %{buildroot}%{_libdir}/DyALog/%{name}/%{name}.pc %{buildroot}%{_libdir}/pkgconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL LICENSE README
%{_libdir}/DyALog/%{name}

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/%{name}.pc



%changelog
* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-4mdv2008.1
+ Revision: 135049
- ExclusiveArch, as DyaLog

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import dyalog-sqlite


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-3mdv2007.0
- Rebuild

* Mon Apr 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-2mdk
- split devel package

* Tue Mar 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-1mdk
- first mdk release
